/* #region page */
.html {
  scroll-behavior: smooth;
}

body {
  margin: 0;
  font-family: "Inter", sans-serif;
  color: #292929;
  font-family: Inter;
  font-size: 16px;
  line-height: 140%;
  }
 
 .main {
    padding: 120px;
    background: white;
 }
 @media (max-width: 1024px) {
  .main {
    padding: 120px 72px; 
  } 
}

@media (max-width: 576px) {
  .main {
    padding: 120px 20px;
  }
}
 .section {
    height: 800px;
}
/* #endregion */

/* #region header */
.header {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  
  box-sizing: content-box;
  height: 100vh;
  padding: 64px 120px;
  background-image: url(images/Header-bg.png);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

@media (max-width: 1024px) {
  .header {
    padding: 64px 72px; 
    background-image: url(images/Header-bg-small.png);
  } 
}

@media (max-width: 576px) {
  .header {
    padding: 32px 20px;
    background-position: 0 0;
  }
}

.header_top {
  display: flex;
  justify-content: space-between;
}

.header__title {
  margin-top: 40px;
  margin-bottom: 0;
  font-size: 48px;
  font-style: italic;
  font-weight: 800;
  line-height: 100%;
  letter-spacing: -1.5px;
}

@media (max-width: 1024px) {
  .header__title {
    font-size: 40px;
  }
}
@media (max-width: 576px) {
  .header__title {
    font-size: 32px;
  }
}
.icon_bottom {
  
}
@media (max-width: 576px) {
  .icon_bottom {
    width: 38px;
    height: 32px; 
  }
}

/* #endregion */

/* #region menu */
.menu {
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  transform: translateX(-9100%);
  transition: transform 500ms;

  box-sizing: content-box;
  height: 100vh;
  padding: 64px 120px;
  background: #E8EFF9;
}
@media (max-width: 1024px) {
  .menu {
    padding: 64px 72px; 
  } 
}
@media (max-width: 576px) {
  .menu {
    padding: 32px 20px;
  }
}

.menu:target {
  transform: translateX(-0%);
}
.menu-top {
  display: flex;
  justify-content: space-between;  
  margin-bottom: 64px;  
}

/* #endregion */

/* #region nav */
.nav {
  display: flex;
  flex-direction: column;
  gap: 32px;
}

.nav__link {
  color: #292929;
  text-decoration: none;
  font-size: 22px;
  font-weight: bold;
  line-height: 22px;
  letter-spacing: 2px;
  text-align: left;    
}
/* #endregion */

/* #region recommended */

.recommended {
  margin-bottom: 120px;
}

.recommended__title {
    margin-top: 0;
    margin-bottom: 64px;
    font-size: 48px;
    font-weight: bold;
    line-height: 48px;
    letter-spacing: -1.5px;
    text-align: center;
 } 

 .recommended__products {
    display: flex;
    justify-content: center;
    gap: 24px;
}
@media (max-width: 1024px) {
  .recommended__products {
    flex-direction: column;
    align-items: center;
  }
}
@media (max-width: 576px) {
  .recommended__products {
    align-items: stretch;
  }
}
.product {
  flex-basis: 324px;
}
.product__photo {
  width: 100%;
  margin-bottom: 32px;
}

.product__title {
  margin-top: 0;
  margin-bottom: 8px;
  font-size: 16px;
  line-height: 140%;
}

.produkt__category {
  margin-top: 0;
  margin-bottom: 12px;
}

.produkt__price {
  margin-top: 0;
  font-weight: bold;
}

/* #endregion */
 
/* #region categories */

.categories {
  max-width: 1020px;
  margin: 0 auto;
  margin-bottom: 120px;
}

.categories__title {
  margin-top: 0;
  margin-bottom: 64px;
  font-size: 48px;
  font-weight: bold;
  line-height: 100%;
  letter-spacing: -1.5px;
  text-align: center;
 }
 /* #endregion */

 /* #region category */
 .category {
    margin-bottom: 64px;
 }

 @media (max-width: 576px) {
  .category {
    margin-bottom: 40px;
  }
}

 .category__photos {
    display: flex;
    gap: 3%;
    margin-bottom: 16px;
 }

 .category__title {
    margin: 0;
 }
/* #endregion */

/* #region photo */
.photo__wide {
  width: 65%;
  object-fit: cover;
}
.photo__square {
  width: 32%;
 object-fit: cover;
}
  
@media (max-width: 576px) {
  .photo-wide {
    width: 48.5%;
  }
  .photo-square {
    width: 48.5%;
  }
 }

 /* #endregion */
 
 /* #region how-to-buy */
 .how-to-buy {
    display: flex;
    gap: 24px;
    max-width: 1020px;
    margin: 0 auto;
 }

 @media (max-width: 576px) {
  .how-to-buy {
    display: block;
  }
}

 .how-to-buy__title {
    flex-basis: 50%;
    margin-top: 0;
    margin-bottom: 64px;
    font-size: 48px;
    font-weight: bold;
    line-height: 48px;
    letter-spacing: -1.5px;
    text-align: left;  
 }

 @media (max-width: 1024px) {
  .how-to-buy__title {
    font-size: 40px;
  }
}
@media (max-width: 576px) {
  .how-to-buy__title {
    font-size: 32px;
  }
}
 .how-to-buy__content {
    flex-basis: 50%;
    justify-content: center;
 }

 .how-to-buy___benefits {
    display: flex;
    flex-direction: column;
    list-style: none;
    gap: 16px;
    margin: 0;
    margin-bottom: 40px;
    padding: 0;
    font-weight: bold;   
 }

/* #endregion */

/* #region footer */
.footer {
  position: sticky;
  bottom: 0;
  z-index: -1;
  background-image: url(images/Footer-bg.png);
  height: 460px;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}
/* #endregion */

/* #region logo */
.logo {
  height: 24px;
}
@media (max-width: 576px) {
  .logo {
    height: 16px;
  }
}
/* #endregion */